package com.vctgo.file.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.file.domain.FileShare;

import java.util.List;

/**
 * 分享信息Service接口
 *
 * @author caesar
 * @date 2023-08-04
 */
public interface IFileShareService {
    /**
     * 查询分享信息
     *
     * @param id 分享信息主键
     * @return 分享信息
     */
    FileShare selectFileShareById(Long id);

    /**
     * 查询分享信息列表-分页
     *
     * @param fileShare 分享信息
     * @return 分享信息集合
     */
    IPage<FileShare> selectFileSharePage(FileShare fileShare);

    /**
     * 查询分享信息列表
     *
     * @param fileShare 分享信息
     * @return 分享信息集合
     */
    List<FileShare> selectFileShareList(FileShare fileShare);

    /**
     * 新增分享信息
     *
     * @param fileShare 分享信息
     * @return 结果
     */
    int insertFileShare(FileShare fileShare);

    /**
     * 修改分享信息
     *
     * @param fileShare 分享信息
     * @return 结果
     */
    int updateFileShare(FileShare fileShare);

    /**
     * 批量删除分享信息
     *
     * @param ids 需要删除的分享信息主键集合
     * @return 结果
     */
    int deleteFileShareByIds(Long[] ids);

    /**
     * 删除分享信息信息
     *
     * @param id 分享信息主键
     * @return 结果
     */
    int deleteFileShareById(Long id);
}
